View Issue Details

IDProjectCategoryView StatusLast Update
0000170Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000170: Remove unnecessary "DB." prefixes within database configurations
DescriptionAt present, database connection definitions - at least using the ConnectionManager - contains various directives prefixed with "DB.".

This feature request is to get rid of the "DB." prefixes similar to 0000134.

Example:
========
[Foo]
DB.Host = "127.0.0.1"
DB.User = "root"
DB.Pass = ""
DB.Name = "..."
DB.Type = "APF\core\database\MySQLiHandler"
DB.DebugMode = "false"


Expected:
========
[Foo]
Host = "127.0.0.1"
User = "root"
Pass = ""
Name = "..."
Type = "APF\core\database\MySQLiHandler"
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Relationships

related to 0000134 closedChristianAchatz "FC." in Actionconfigs entfernen 

Activities

ChristianAchatz

2014-03-05 20:35

administrator   ~0000256

* Code updated.
* Migration script added.

ChristianAchatz

2014-03-05 23:08

administrator   ~0000257

* Updated documentation.

dingsda

2014-04-14 21:58

developer   ~0000299

Last edited: 2014-04-14 21:59

View 2 revisions

weiß nicht, ob das dazu gehört oder ob dafür ein neues thema geöffnet werden muss. in der sandbox musste ich die dateien UserManagementWizzardController.php, NewsWizzardController.php, GuestbookWizzardController.php und DatabaseWizzardController.php noch ändern weil sie noch DB in die connections.ini geschrieben haben was natürlich zu fehlern führte.
hab die dateien angehangen

ChristianAchatz

2014-04-15 20:09

administrator   ~0000300

Danke für deinen Input, das gehört natürlich dazu! :) Habe deine Änderungen übernommen: https://github.com/AdventurePHP/code/commit/61bc5522741a5410bba66c8c564912f2c403384a

Issue History

Date Modified Username Field Change
2014-03-04 19:52 ChristianAchatz New Issue
2014-03-04 19:52 ChristianAchatz Relationship added related to 0000134
2014-03-04 19:53 ChristianAchatz Target Version => 2.1
2014-03-05 20:10 ChristianAchatz Assigned To => ChristianAchatz
2014-03-05 20:10 ChristianAchatz Status new => assigned
2014-03-05 20:35 ChristianAchatz Note Added: 0000256
2014-03-05 23:08 ChristianAchatz Note Added: 0000257
2014-03-05 23:08 ChristianAchatz Status assigned => resolved
2014-03-05 23:08 ChristianAchatz Fixed in Version => 2.1
2014-03-05 23:08 ChristianAchatz Resolution open => fixed
2014-04-14 21:58 dingsda Note Added: 0000299
2014-04-14 21:58 dingsda Status resolved => feedback
2014-04-14 21:58 dingsda Resolution fixed => reopened
2014-04-14 21:59 dingsda Note Edited: 0000299 View Revisions
2014-04-15 20:09 ChristianAchatz Note Added: 0000300
2014-04-15 20:09 ChristianAchatz Status feedback => assigned
2014-04-15 20:10 ChristianAchatz Status assigned => resolved
2014-04-15 20:10 ChristianAchatz Resolution reopened => fixed
2015-10-12 12:20 ChristianAchatz Status resolved => closed